<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">  
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Foro de discusion sobre cine y series de television">
    <meta name="keywords" content="HTML, CSS, JavaScript, foros, Peliculas, Series, Estrenos, Videos, Drama, Accion, Suspenso">
    <title>Contacto</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .footer {
            background-color: #343a40;
            color: #ffffff;
            padding: 20px 0;
            text-align: center;
        }

        .footer a {
            color: #ffffff;
        }

        .contact-form {
            background-color: #f8f9fa; /* Color gris claro */
            border-radius: 10px;
            padding: 30px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark border-bottom border-body">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">CineForo</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="index.html">Inicio</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="NormasyDirectrices.html">Normas de Foro</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">Más</a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item" href="Sobrenosotros.html">Sobre nosotros</a></li>
                            <li><a class="dropdown-item" href="Contacto.html">Contacto</a></li>
                            <li><hr class="dropdown-divider"></li>
                        </ul>
                    </li>
                </ul>
                <form class="d-flex">
                    <input class="form-control me-2" type="search" placeholder="Buscar" aria-label="Buscar">
                    <button class="btn btn-outline-warning" type="submit">Buscar</button>
                </form>
            </div>
        </div>
    </nav>
    <div id="banner" class="carousel slide" data-bs-ride="carousel">
        <div class="carousel-inner">
          <div class="carousel-item active">
            <img src="Pic/Img1.jpg" class="d-block w-100" alt="Cineforo1">
          </div>
          <div class="carousel-item">
            <img src="Pic/Img2.jpg" class="d-block w-100" alt="Seriestreno">
          </div>
          <div class="carousel-item">
            <img src="Pic/Img3.jpg" class="d-block w-100" alt="UFOS">
          </div>
        </div>
        <button class="carousel-control-prev" type="button" data-bs-target="#banner" data-bs-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Anterior</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#banner" data-bs-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Siguiente</span>
        </button>
      </div>
    

    <div class="container mt-5 bg-secondary p-4">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card mt-5">
                    <div class="card-body">
                        <h2 class="card-title text-center mb-4">Contacto</h2>
                        <form id="form" class="contact-form">
                            <div class="mb-3">
                                <label for="motivo" class="form-label">Motivo:</label>
                                <input type="text" name="motivo" id="motivo" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="firstName" class="form-label">Primer Nombre:</label>
                                <input type="text" name="firstName" id="firstName" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="secondName" class="form-label">Segundo Nombre:</label>
                                <input type="text" name="secondName" id="secondName" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="lastName" class="form-label">Primer Apellido:</label>
                                <input type="text" name="lastName" id="lastName" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="secondLastName" class="form-label">Segundo Apellido:</label>
                                <input type="text" name="secondLastName" id="secondLastName" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="occupation" class="form-label">Ocupación:</label>
                                <input type="text" name="occupation" id="occupation" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="reply_to" class="form-label">Correo Electrónico:</label>
                                <input type="email" name="reply_to" id="reply_to" class="form-control">
                            </div>
                            <div class="mb-3">
                                <label for="message" class="form-label">Mensaje:</label>
                                <textarea id="message" name="message" rows="6" class="form-control" required></textarea>
                            </div>
                            <div class="text-center">
                                <button id="button" type="submit" class="btn btn-primary">Enviar Correo</button>
                            </div>  
                        </form>
                        <div id="response-message" class="text-center mt-3"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <footer class="footer mt-5">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <h5>Redes Sociales</h5>
                    <ul class="list-inline">
                        <li class="list-inline-item"><a href="https://www.facebook.com/davidantonio.restrepocastano?mibextid=ZbWKwL">Facebook</a></li>
                        <li class="list-inline-item"><a href="https://www.twitch.tv/kizbary">Twicht</a></li>
                        <li class="list-inline-item"><a href="https://www.instagram.com/david_rstrepo/?igsh=cGpiMjVrMTU2eWtr">Instagram</a></li>
                    </ul>
                </div>
                <div class="col-md-6">
                    <h5>Contacto</h5>
                    <ul class="list-unstyled">
                        <li><i Class="fas fa-envelope"></i> Autores: David Restrepo, Maria Camila Guarin, Samuel Diaz</li>
                        <li><i class="fas fa-envelope"></i> david.restrepo@ucp.edu.com</li>
                        <li><i class="fas fa-phone"></i> 3022145485</li>
                    </ul>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 text-center">
                    <p>&copy; 2024 kizbary INC. Todos los derechos reservados.</p>
                </div>
            </div>
        </div>
    </footer>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/@emailjs/browser@4/dist/email.min.js"></script>
    
    <script type="text/javascript">
        emailjs.init('0h6Kz4unThlZ4MKxM');
        
        const btn = document.getElementById('button');

        document.getElementById('form')
        .addEventListener('submit', function(event) {
        event.preventDefault();

        btn.value = 'Sending...';

        const serviceID = 'default_service';
        const templateID = 'template_6jyewfd';

        emailjs.sendForm(serviceID, templateID, this)
            .then(() => {
            btn.value = 'Send Email';
            alert('Sent!');
            }, (err) => {
            btn.value = 'Send Email';
            alert(JSON.stringify(err));
            });
        });
    </script>
    <script>
        document.getElementById('form').addEventListener('submit', function(event) {
            event.preventDefault();
            const form = this;
            const button = form.querySelector('button[type="submit"]');
            const responseMessage = document.getElementById('response-message');

            button.disabled = true;
            button.innerHTML = 'Enviando...';

            setTimeout(function() {
                const success = true;
                if (success) {
                    responseMessage.innerHTML = '<div class="alert alert-success" role="alert">¡Mensaje enviado correctamente!</div>';
                } else {
                    responseMessage.innerHTML = '<div class="alert alert-danger" role="alert">Error al enviar el mensaje. Inténtalo de nuevo más tarde.</div>';
                }
                form.reset();
                button.disabled = false;
                button.innerHTML = 'Enviar Correo';
            }, 2000);
        });
    </script>
</body>
</html>
